// Copyright 2026 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
import { defInterface, defMessage } from '../transport/messaging.js';
// Shared between host and client.
export const SkillsHostDef = defInterface({
    name: 'SkillsHost',
    methods: [
        {
            name: 'createSkill',
            request: defMessage(),
            response: defMessage(),
            histogram: { id: 82 },
        },
        {
            name: 'updateSkill',
            request: defMessage(),
            response: defMessage(),
            histogram: { id: 83 },
        },
        {
            name: 'showManageSkillsUi',
            request: defMessage(),
            histogram: { id: 86 },
        },
        {
            name: 'showBrowseSkillsUi',
            request: defMessage(),
            histogram: { id: 95 },
        },
        {
            name: 'getSkill',
            request: defMessage(),
            response: defMessage(),
            histogram: { id: 84 },
        },
        {
            name: 'recordSkillsWebClientEvent',
            request: defMessage(),
            histogram: { id: 91 },
        },
    ],
});
export const SkillsClientDef = defInterface({
    name: 'SkillsClient',
    methods: [
        {
            name: 'notifySkillPreviewsChanged',
            request: defMessage(),
        },
        {
            name: 'notifyContextualSkillPreviewsChanged',
            request: defMessage(),
        },
        {
            name: 'notifySkillPreviewChanged',
            request: defMessage(),
        },
        {
            name: 'notifySkillDeleted',
            request: defMessage(),
        },
        {
            name: 'notifySkillToInvokeChanged',
            request: defMessage(),
        },
    ],
});
